Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451992 - Guide references /usr/share/doc/qpidc-devel-0.2/, which doesn't exist
Summary: Guide references /usr/share/doc/qpidc-devel-0.2/, which doesn't exist
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Programming_Reference
Version: 1.1.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: 1.3
: ---
Assignee: Jonathan Robie
QA Contact: Jan Sarenik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-18 15:07 UTC by Jeff Needle
Modified: 2013-08-06 00:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-18 13:35:34 UTC


Attachments (Terms of Use)

Description Jeff Needle 2008-06-18 15:07:48 UTC
qpidc-devel docs are installed at /usr/share/doc/qpidc-devel-0.2.<subversion
number>, so the pointer in the doc is wrong.  We should either change
qpidc-devel to install its docs without the subversion number or change the docs
to either point to the right place or give a more generic pointer.

Comment 1 Jonathan Robie 2008-11-10 13:26:00 UTC
I prefer that the directory name not contain the subversion number. The other approach requires the docs to be changed in multiple places every time the subversion number changes, and would also mean that they don't match across minor version changes or updates.

Comment 2 Jeff Needle 2008-11-14 21:01:54 UTC
Are you throwing this to ON_QA for me to verify something?  When I filed this bug, it was because the documentation pointed to a directory which did not exist.  Did we change the docs to point to directory that exists?  Or did we make a packaging change?

Not sure what QA's expected action is here.   Moving it back to ASSIGNED for now and setting NEEDINFO.

Comment 3 Jonathan Robie 2008-12-02 14:14:33 UTC
I changed the documentation - in the next release, I think it is preferable to change the install directory.

Comment 4 Jan Sarenik 2009-04-21 12:22:40 UTC
In latest version the path is
/usr/share/doc/qpidc-devel-0.5.752581/

On http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_MRG/1.1/html-single/Messaging_Tutorial/
in Chapter 5 there is:
"...see the Doxygen documentation installed at /usr/share/doc/qpidc-devel-0.2/"

Setting back to MODIFIED and setting target to 1.2.


Note You need to log in before you can comment on or make changes to this bug.